------- project settings -------

-- project name
set_project(PROJECT_NAME)

-- project version
set_version(VERSION)

-- min version of xmake we need to run
-- NOTE: this is the version i used to develop this template, may not 100% correct
set_xmakever("2.9.0")

add_rules("mode.debug", "mode.release")

-- c++17 is required for godot 4.x, we use c++20 here
set_languages("c++20")

-- use latest 4.x version by default
add_requires("godotcpp4 4.2")


includes("tasks.lua")

includes("target.lua")

includes("editor.lua")